<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">

    <!-- Certificate authority -->

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="caTypeInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateAuthorityScope']}</ui:define>
        <h:selectOneRadio id="caTypeInput" value="#{customCertificateManager.certificateScope}">
            <f:selectItems value="#{customCertificateManager.getCertificateScopes()}"/>
            <a4j:ajax event="change" render="certificateAuthority"/>
        </h:selectOneRadio>
    </s:decorate>

    <s:div id="certificateAuthority">
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="caInput"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateAuthority_3']}</ui:define>
            <h:selectOneMenu id="caInput" value="#{customCertificateManager.certificateAuthority}"
                             styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{customCertificateManager.getCertificateAuthorities(customCertificateManager.isPKISelectedScope())}"/>
            </h:selectOneMenu>
        </s:decorate>
    </s:div>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="keyAlgoInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.KeyAlgorithm']}</ui:define>
        <h:selectOneMenu id="keyAlgoInput" value="#{customCertificateManager.keyAlgorithm}" styleClass="form-control gzl-select-text">
            <f:selectItems value="#{customCertificateManager.getKeyAlgorithms()}"/>
        </h:selectOneMenu>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="keySizeInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.KeySize']}</ui:define>
        <h:selectOneMenu id="keySizeInput" value="#{customCertificateManager.keySize}" styleClass="form-control gzl-select-text">
            <f:selectItems value="#{customCertificateManager.getKeySizes()}"/>
        </h:selectOneMenu>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="signAlgoInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.SignatureAlgorithm']}</ui:define>
        <h:selectOneMenu id="signAlgoInput" value="#{customCertificateManager.signatureAlgorithm}"
                         styleClass="form-control gzl-select-text">
            <f:selectItems value="#{customCertificateManager.getSignatureAlgorithms()}"/>
        </h:selectOneMenu>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="fromInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.ValidFrom']}</ui:define>
        <rich:calendar id="fromInput" value="#{customCertificateManager.validFrom}" popup="true" showApplyButton="true"
                       datePattern="d/M/yy HH:mm" cellWidth="24px" cellHeight="22px" style="width:200px"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="toInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.ValidTo']}</ui:define>
        <rich:calendar id="toInput" value="#{customCertificateManager.validTo}" popup="true" showApplyButton="true"
                       datePattern="d/M/yy HH:mm" cellWidth="24px" cellHeight="22px" style="width:200px"/>
    </s:decorate>

    <ui:include src="/certificate/subjectform.xhtml">
        <ui:param name="subjectBean" value="#{customCertificateManager}"/>
        <ui:param name="displaySubjectAlternativeNameInput" value="#{true}"/>
    </ui:include>

</ui:composition>
